<?php
//
// Copyright (c) 2008-2009 Nagios Enterprises, LLC.  All rights reserved.
//
// $Id: index.php 75 2010-04-01 19:40:08Z egalstad $

require_once(dirname(__FILE__).'/../includes/common.inc.php');

// initialization stuff
pre_init();

// start session
init_session();

// grab GET or POST variables 
grab_request_vars();

// check prereqs
check_prereqs();

// check authentication
check_authentication();

draw_page();



function draw_page(){
	global $lstr;
	
	$pageopt=grab_request_var("pageopt","");
	
	do_page_start(array("page_title"=>$lstr['AccountInfoPageTitle']),false);
?>
	<div id="leftnav">
	<?php draw_menu();?>
	</div>

	<div id="maincontent">
	<div id="maincontentspacer">
	<IFRAME src="<?php echo get_window_frame_url("main.php");?>" width="100%" frameborder="0" id="maincontentframe" name="maincontentframe">
	[Your user agent does not support frames or is currently configured not to display frames. ]
	</IFRAME>
	
	<div id="viewtools">
	<div id="popout">
	<a href="#"><img src="<?php echo get_base_url();?>/images/popout.png" border="0" alt="<?php echo $lstr['PopoutAlt'];?>" title="<?php echo $lstr['PopoutAlt'];?>"></a>
	</div>
	</div>
	
	</div>
	</div>
	


<?	
	do_page_end(false);
	}

function draw_menu(){
	$m=get_menu_items();
	draw_menu_items($m);
?>

<?php
	}
	

function get_menu_items(){

	$mi=array();
	
	// My Account
	$mi[]=array(
		"type" => "menusection",
		"title" => "My Account",
		"opts" => array(
			"id" => "myaccountquickview",
			"expanded" => true,
			"url" => "main.php",
			//"target" => ""
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Account Information",
		"opts" => array(
			"href" => "main.php",
			//"target" => ""
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);
		
	// Notification Options
	$mi[]=array(
		"type" => "menusection",
		"title" => "Notification Options",
		"opts" => array(
			"id" => "notificationoptions",
			"expanded" => true,
			"url" => "notifyprefs.php",
			//"target" => ""
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Notification Preferences",
		"opts" => array(
			"href" => "notifyprefs.php",
			//"target" => ""
			)
		);
	$mi[]=array(
		"type" => "linkspacer"
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Notification Methods",
		"opts" => array(
			"href" => "notifymethods.php",
			//"target" => ""
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Notification Messages",
		"opts" => array(
			"href" => "notifymsgs.php",
			//"target" => ""
			)
		);
	$mi[]=array(
		"type" => "linkspacer"
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Send Test Notifications",
		"opts" => array(
			"href" => "testnotification.php",
			//"target" => ""
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);
				
				
	return $mi;
	}
	


?>